NSRHSMLS(8)

NAME
nsrhsmls - list contents of a XDSM HSM configured directory

SYNOPSIS
nsrhsmls [ -lv ] [ -R | -r <level> ] [ -s <NWserver> ] [ <path> ]

DESCRIPTION
nsrhsmls is a NetWorker XDSM HSM specific "ls" command to display the premigration and migration status of a file or directory, and other information.

It works much like an "ls" command, but it will list HSM-related information. For example, it will indicate whether or not a file has been premigrated and migrated, number of disk blocks currently being used by the file, the file size and full filename.

The premigration and migration status is printed at the start of each entry in the output.

The first character shows the migration status of the file:

    r   file has not been migrated
    m   file has been migrated
    -   unable to determine file's migration status

The second character shows the premigration status of the file:

    n   file has not been premigrated
    p   file has been premigrated

The next entry gives number of disk blocks, including indirect blocks, currently being used by the file.

The next entry gives the file size in bytes.

OPTIONS

-l  Separates the displayed columns with "|".

-v  Displays more detailed migration information.

-R  Runs down all subdirectories in recursive manner.

-r <level>
    Runs down the specified level of subdirectories in recursive manner. Level 1, the default, works in the current directory. Level 2 causes nsrhsmls to run down one level below the current directory, and so on.

-s <NWserver>
    Specifies which machine to use as the NetWorker server. (You specify this by hostname or IP address).

EXAMPLES
To display migration status of files upto three levels down in the /export/home/hsmfs directory, with the NetWorker server being "jupiter", you would enter the following command:

nsrhsmls -r 4 -s jupiter /export/home/hsmfs

SEE ALSO
ls(1), nsrpmig(1m), nsrmig(1m).